## aasink aasink |

## Properties

gint | brightness | Read / Write
gint | contrast | Read / Write
GstAASinkDitherers | dither | Read / Write
GstAASinkDrivers | driver | Read / Write
gint | frame-time | Read
gint | frames-displayed | Read
gfloat | gamma | Read / Write
gint | height | Read / Write
gboolean | inversion | Read / Write
gint | randomval | Read / Write
gint | width | Read / Write

## Types and Values

struct | GstAASink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstAASink

## Description

Displays video as b/w ascii art.

### Example launch line

    1
    gst-launch-1.0 filesrc location=test.avi ! decodebin ! videoconvert ! aasink

This pipeline renders a video to ascii art into a separate window.

    1
    gst-launch-1.0 filesrc location=test.avi ! decodebin ! videoconvert ! aasink driver=curses

This pipeline renders a video to ascii art into the current terminal.

## Synopsis

### Element Information

plugin | aasink
author | Wim Taymans <wim.taymans@chello.be>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)I420, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstAASink

    struct GstAASink;

## Property Details

### The `“brightness”` property

      “brightness”               gint

brightness.

Flags: Read / Write

Default value: 0

### The `“contrast”` property

      “contrast”                 gint

contrast.

Flags: Read / Write

Default value: 0

### The `“dither”` property

      “dither”                   GstAASinkDitherers

dither.

Flags: Read / Write

Default value: no dithering

### The `“driver”` property

      “driver”                   GstAASinkDrivers

driver.

Flags: Read / Write

Default value: X11 driver 1.1

### The `“frame-time”` property

      “frame-time”               gint

frame time.

Flags: Read

Default value: 0

### The `“frames-displayed”` property

      “frames-displayed”         gint

frames displayed.

Flags: Read

Default value: 0

### The `“gamma”` property

      “gamma”                    gfloat

gamma.

Flags: Read / Write

Allowed values: [0,5]

Default value: 1

### The `“height”` property

      “height”                   gint

height.

Flags: Read / Write

Default value: 0

### The `“inversion”` property

      “inversion”                gboolean

inversion.

Flags: Read / Write

Default value: TRUE

### The `“randomval”` property

      “randomval”                gint

randomval.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gint

width.

Flags: Read / Write

Default value: 0

## See Also

GstCACASink